import { AbstractModel } from "../model/AbstractModel";
import { IStartStop } from "../system/IStartStop";
interface DAGNode {
    node: any;
    from: any[];
    to: any[];
}
export declare const getInjectionRegistry: () => InjectionRegistry;
export interface InjectableInfo<T> {
    instance: T;
    environments?: string[];
    acceptedConstructors: any[];
}
export interface InjectionTargetInfo {
    targetPrototype?: any;
    propertyKey: string;
    fieldConstructor: any;
}
export declare class InjectionRegistry {
    readonly targets: InjectionTargetInfo[];
    readonly injectables: InjectableInfo<any>[];
    readonly dependencyDAG: DAGNode[];
    readonly models: {
        new (): AbstractModel;
    }[];
    private store;
    getInitableInjectables(): IStartStop[];
    get<T>(key: string): T;
    set(key: string, value: any): void;
    registerModel(model: {
        new (): AbstractModel;
    }): void;
    registerTarget(prototype: any, propertyKey: string, injecteeConstructorFn: any): void;
    registerInjectable(constructorFn: {
        new (): any;
    }, environments?: string[]): void;
    replaceInjectable<T, K extends T>(instance: K, instanceClasses: (Function & {
        prototype: T;
    })[]): void;
    filterInjectable<T>(instanceSuperClass: Function & {
        prototype: T;
    }): T[];
    getInjectable<T>(instanceSuperClass: Function & {
        prototype: T;
    }, env?: string): T;
    performInjection(currentEnv: string | undefined, ignoreMissing?: boolean): void;
}
export {};
//# sourceMappingURL=injection.d.ts.map