import { RangeProps, VectorProps } from "./DtoFieldMetadata";
/**
 * A simple data transfer object.
 */
export declare const DTO: (config?: {
    /**
     * Strict:
     * - only fields in metadata are accepted
     * - strict type checking
     */
    strict?: boolean | undefined;
} | undefined) => <T extends new (...args: any[]) => Object>(constructor: T) => T;
export declare const Field: (config?: {
    description?: string | undefined;
} | undefined) => (prototype: any, propertyKey: string) => void;
export declare const Required: (required?: boolean | undefined, allowNull?: boolean | undefined) => (prototype: any, propertyKey: string) => void;
export declare const Integral: () => (prototype: any, propertyKey: string) => void;
export declare const Range: (config: RangeProps) => (prototype: any, propertyKey: string) => void;
export declare const Enum: (config: {
    enum: any;
}) => (prototype: any, propertyKey: string) => void;
export declare const Vector: (config?: VectorProps | undefined) => (prototype: any, propertyKey: string) => void;
export declare const DtoClass: (dtoClass: Function & (new (...args: any) => any)) => (prototype: any, propertyKey: string) => void;
//# sourceMappingURL=decorator.d.ts.map